/*
=============== 
Fonts
===============
*/
/* @import url("https://fonts.googleapis.com/css?family=Open+Sans|Roboto:400,700&display=swap"); */

/*
=============== 
Variables
===============
*/

:root {
  /* dark shades of primary color*/
  --clr-primary-1: hsl(205, 86%, 17%);
  --clr-primary-2: hsl(205, 77%, 27%);
  --clr-primary-3: hsl(205, 72%, 37%);
  --clr-primary-4: hsl(205, 63%, 48%);
  /* primary/main color */
  --clr-primary-5: #49a6e9;
  /* lighter shades of primary color */
  --clr-primary-6: hsl(205, 89%, 70%);
  --clr-primary-7: hsl(205, 90%, 76%);
  --clr-primary-8: hsl(205, 86%, 81%);
  --clr-primary-9: hsl(205, 90%, 88%);
  --clr-primary-10: hsl(205, 100%, 96%);
  /* darkest grey - used for headings */
  --clr-grey-1: hsl(209, 61%, 16%);
  --clr-grey-2: hsl(211, 39%, 23%);
  --clr-grey-3: hsl(209, 34%, 30%);
  --clr-grey-4: hsl(209, 28%, 39%);
  /* grey used for paragraphs */
  --clr-grey-5: hsl(210, 22%, 49%);
  --clr-grey-6: hsl(209, 23%, 60%);
  --clr-grey-7: hsl(211, 27%, 70%);
  --clr-grey-8: hsl(210, 31%, 80%);
  --clr-grey-9: hsl(212, 33%, 89%);
  --clr-grey-10: hsl(210, 36%, 96%);
  --clr-white: #fff;
  --clr-red-dark: hsl(360, 67%, 44%);
  --clr-red-light: hsl(360, 71%, 66%);
  --clr-green-dark: hsl(125, 67%, 44%);
  --clr-green-light: hsl(125, 71%, 66%);
  --clr-gold: #c59d5f;
  --clr-black: #222;
  --ff-primary: "Roboto", sans-serif;
  --ff-secondary: "Open Sans", sans-serif;
  --transition: all 0.3s linear;
  --spacing: 0.25rem;
  --radius: 0.5rem;
  --light-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  --dark-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  --max-width: 1170px;
  --fixed-width: 620px;
}
/*
=============== 
Global Styles
===============
*/

*,
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: var(--ff-secondary);
  background: var(--clr-grey-10);
  color: var(--clr-grey-1);
  line-height: 1.5;
  font-size: 0.875rem;
}
ul {
  list-style-type: none;
}
a {
  text-decoration: none;
}
img:not(.logo) {
  width: 100%;
}
img {
  display: block;
}

h1,
h2,
h3,
h4 {
  letter-spacing: var(--spacing);
  text-transform: capitalize;
  line-height: 1.25;
  margin-bottom: 0.75rem;
  font-family: var(--ff-primary);
  color:var(--clr-gold);
}
h1 {
  font-size: 3rem;
}
h2 {
  font-size: 2rem;
}
h3 {
  font-size: 1.25rem;
}
h4 {
  font-size: 0.875rem;
}
p {
  margin-bottom: 1.25rem;
  color: var(--clr-grey-5);
}
@media screen and (min-width: 800px) {
  h1 {
    font-size: 4rem;
  }
  h2 {
    font-size: 2.5rem;
  }
  h3 {
    font-size: 1.75rem;
  }
  h4 {
    font-size: 1rem;
  }
  body {
    font-size: 1rem;
  }
  h1,
  h2,
  h3,
  h4 {
    line-height: 1;
  }
}
/*  global classes */


/* section */
.section {
  padding: 5rem 0;
}

main {
  min-height: 100vh;
  
  place-items: center;
}
.form-class{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
}

#root{

}



.menu {
  padding: 5rem 0;
}
.title {
  text-align: center;
  margin-bottom: 2rem;
  margin-top: 2rem;
}
.underline {
  width: 7rem;
  height: 0.45rem;
  background: var(--clr-primary-2);
  margin-left: auto;
  margin-right: auto;
}

.section-center {
  width: 90vw;
  margin: 0 auto;
  max-width: 1170px;
  display: flex;
  
  justify-items: center;
  flex-wrap: wrap;
  margin-right: -12px;
  
  align-content: center;
  justify-content: center;
  
  
  
  
}


.movie-item{
  
 margin-right: 12px;
  max-width: 25rem;
  flex-wrap: wrap;
  flex:31.7%;
 align-content: center; 
  }
.photo {
  object-fit: cover;
  height: 200px;
 
  border: 0.25rem solid var( --clr-primary-2);
  border-radius: var(--radius);
  margin-bottom: 2rem;
  
 }
 .show-button{
   background-color: ;
 }

.show-image{
  max-width: 450px;
  max-height: 300px;
  border: 0.25rem solid var( --clr-primary-2);
  border-radius: var(--radius);
  margin-bottom: 2rem;
}
.flex-box{
  display: flex;
  
}
.show-rating{
  color: var(--clr-gold);
}

.show-genre{
  color:var(--clr-gold);
}
 .show-status{
   color: var(--clear-gold);
 }
 .show-runtime{
color:var(--clear-gold);
 }
.flex-tag{
  /* display: flex;
  flex-wrap:wrap; */
  
  /* background-color: var(--clr-grey-2); */
  color: var(--clr-gold);

} 
.photo:hover {
  cursor: pointer;
  box-shadow: 0 0.4rem 1.4rem 0 rgba(86, 185, 235, 0.5);
  transform: translateY(-0.1rem);
  transition: transform 150ms;
}

/* .movie-item:hover {
  cursor: pointer;
  box-shadow: 0 0.4rem 1.4rem 0 rgba(86, 185, 235, 0.5);
  transform: translateY(-0.1rem);
  transition: transform 150ms;
} */
.item-info header {
  display: flex;
  justify-content: space-between;
  border-bottom: 0.5px dotted var(--clr-grey-5);
  

}
.item-info h4 {
  margin-bottom: 0.5rem;
}
.episode-code {
  color: var(--clr-primary-2);
}
.item-text {
  margin-bottom: 0;
  padding-top: 1rem;
  
  

}

#searchBar {
  /* width: 45%; */
    height: 2.5rem;
    
 
    border: 1px solid var(--clr-primary-3);
    padding: 1.5rem 3rem;
    font-size: 1.25rem;
    margin-bottom: 2rem;
    margin-top: 2rem;
    

  }
  #searchBar:hover{
  transform: translateY(-0.1rem);
  transition: transform 150ms;
   cursor: pointer;
  box-shadow: 0 0.4rem 1.4rem 0 rgba(86, 185, 235, 0.5);
  }


  #searchBar-1 {
  /* width: 45%; */
    height: 2.5rem;
    
 
    border: 1px solid var(--clr-primary-3);
    padding: 1.5rem 3rem;
    font-size: 1.25rem;
    margin-bottom: 2rem;
    margin-top: 2rem;
    

  }
  #searchBar-1:hover{
  transform: translateY(-0.1rem);
  transition: transform 150ms;
   cursor: pointer;
  box-shadow: 0 0.4rem 1.4rem 0 rgba(86, 185, 235, 0.5);
  }
#select-episode{
  
    /* height: 2.5rem; */
    
 
    border: 1px solid var(--clr-primary-3);
    padding: 1.5rem 3rem;
    font-size: 1.25rem;
    margin-bottom: 2rem;
    margin-top:2rem;
    
}

#select-episode:hover{
  transform: translateY(-0.1rem);
  transition: transform 150ms;
   cursor: pointer;
  box-shadow: 0 0.4rem 1.4rem 0 rgba(86, 185, 235, 0.5);
  }

  #select-episode > option{
    font-family: var(--ff-primary);
    color: var(--clr-grey-3);
  }
#select-shows{
  
    /* height: 2.5rem; */
    
 
    border: 1px solid var(--clr-primary-3);
    padding: 1.5rem 3rem;
    font-size: 1.25rem;
    margin-bottom: 2rem;
    margin-top:2rem;
    font-family: var(--ff-primary);
    
}
#select-shows:hover{
  transform: translateY(-0.1rem);
  transition: transform 150ms;
   cursor: pointer;
  box-shadow: 0 0.4rem 1.4rem 0 rgba(86, 185, 235, 0.5);
  }

  .show-button{
    background-color: var(--clr-grey-1);
    color:var(--clr-gold);
    padding:1.3rem;
    cursor: pointer;
    text-align: center;
    width:27rem;
    align-items: center;
    font-size: var(--ff-primary);
    

  }
  #select-shows > option{
    font-family: var(--ff-primary);
    color: var(--clr-grey-3);
  }
#searchWrapper {
    position: relative;
}

#searchWrapper::after {
    content: '🔍';
    position: absolute;
    top: 7px;
    right: 15px;
}
.container {
    padding: 40px;
    margin: 0 auto;
    /* max-width: 1000px; */
    text-align: center;
  
    
}

.show-info {
  display: flex;
  flex-wrap: nowrap;
  
}

.flex-box{
display: flex;
  flex-wrap: nowrap;
  ;
  
}

.show-item{
  display: flex;
  flex-wrap: wrap;
  
  flex:50%;
  
}
/* .section-center{
  display: flex;
  flex-wrap: wrap;
  flex-basis: 33.333333%;
} */
.show-button{
  cursor: pointer;
  box-shadow: 0 0.4rem 1.4rem 0 rgba(86, 185, 235, 0.5);
  transform: translateY(-0.1rem);
  transition: transform 150ms;

}

 

.go-back-to-all-episodes:hover {
  cursor: pointer;
  box-shadow: 0 0.4rem 1.4rem 0 rgba(86, 185, 235, 0.5);
  transform: translateY(-0.1rem);
  transition: transform 150ms;
}

.go-back-to-all-episodes[disabled]:hover {
  cursor: not-allowed;
  box-shadow: none;
  transform: none;
}


#root{
  color: var(--clr-grey-1);
}

a:link{
  text-decoration: none;
}

@media screen and (min-width: 768px) {
  
  .photo {
    height: 175px;
    flex:100%;
    
    
  }
}
@media screen and (min-width: 1200px) {
  .section-center {
    width: 95vw;
    
  }
  .photo {
    height: 150px;
  }
}

@media screen and  (max-width:640px) {
     .show-item{
        flex-basis: 100%;

        
    }
}





@media screen and  (max-width:640px) {
    .form-class {
        flex-basis: 100%;
        
        
    }
}



@media screen and  (max-width:640px) {
    
      #select-episode{
        width:83%;
        font-size: var(--clr-primary-4);
        margin-bottom: 0.1rem;
        
      }
        #select-shows{
          width: 83%;
          font-size: var(--clr-primary-4);
          margin-bottom: 0.1rem;
        }
        #searchBar{
          width: 83%;
          font-size: var(--clr-primary-4);
        }

        #searchBar-1{
          width: 83%;
          font-size: var(--clr-primary-4);
        }
        
    }
@media screen and  (max-width:640px) {
    .section-center{
        flex-basis: 100%;
        
        
    }
}

